/**
 * 
 */
package pl.info.kardas.passman.jsf;

import java.util.List;

import javax.ejb.EJB;

import pl.info.kardas.passman.ejb.PassManBeanRemote;
import pl.info.kardas.passman.jpa.PassManObject;
import pl.info.kardas.passman.jpa.PassManObjectAdmin;
import pl.info.kardas.passman.jpa.PassManObjectAdminGroup;
import pl.info.kardas.passman.jpa.PassManObjectGroup;
import pl.info.kardas.passman.jpa.PassManObjectType;

/**
 * @author krzysztofka
 *
 */
public class AddObjectManagedBean extends PassManObject {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5818973474357030584L;
	
	/*
	 * From web.xml mapping
	 */
	@EJB(name="ejb/PassManEJBBean")
	private PassManBeanRemote passManBean;
	
	private List<PassManObjectGroup> jsfGroups=null;
	private List<PassManObjectType> jsfObjectTypeList=null;
	private List<PassManObjectAdminGroup> jsfAdminGroupRights=null;
	private List<PassManObjectAdmin> jsfAdminRights=null;
	
	/**
	 * 
	 */
	public AddObjectManagedBean() {
		try {
			jsfGroups = passManBean.getPassManObjectGroups(null, null);
			System.out.println("Załadowano jsfGroups");
		} catch (Exception e) {
			System.err.println("Krzak jsfGroups");
			e.printStackTrace();
		}
	}

	public void submit() throws Exception{
		passManBean.addPassManObject(this);
	}

	public void setJsfGroups(List<PassManObjectGroup> jsfGroups) {
		this.jsfGroups = jsfGroups;
	}

	public List<PassManObjectGroup> getJsfGroups() {
		return jsfGroups;
	}

	public void setJsfObjectTypeList(List<PassManObjectType> jsfObjectTypeList) {
		this.jsfObjectTypeList = jsfObjectTypeList;
	}

	public List<PassManObjectType> getJsfObjectTypeList() {
		return jsfObjectTypeList;
	}

	public void setJsfAdminGroupRights(List<PassManObjectAdminGroup> jsfAdminGroup) {
		this.jsfAdminGroupRights = jsfAdminGroup;
	}

	public List<PassManObjectAdminGroup> getJsfAdminGroupRights() {
		return jsfAdminGroupRights;
	}

	public void setJsfAdminRights(List<PassManObjectAdmin> jsfAdminRights) {
		this.jsfAdminRights = jsfAdminRights;
	}

	public List<PassManObjectAdmin> getJsfAdminRights() {
		return jsfAdminRights;
	}
	
}
