package pl.info.kardas.passman.ejb;
import java.util.List;

import javax.ejb.Local;

import pl.info.kardas.passman.jpa.PassManObject;
import pl.info.kardas.passman.jpa.PassManObjectAdmin;
import pl.info.kardas.passman.jpa.PassManObjectAdminGroup;
import pl.info.kardas.passman.jpa.PassManObjectGroup;
import pl.info.kardas.passman.jpa.PassManObjectType;
import pl.info.kardas.passman.jpa.PassManObjectUserPassword;

@Local
public interface PassManBeanLocal {
	public boolean login() throws Exception;
	public void logout();
	public List<PassManObject> getPassManObject(Integer firstResult, Integer maxResults) throws Exception;
	public List<PassManObjectUserPassword> getPassManObjectUserPassword(Integer firstResult, Integer maxResults) throws Exception;
	public void addPassManObjectAdmin(PassManObjectAdmin admin) throws Exception;
	public void addPassManObjectAdminGroup(PassManObjectAdminGroup group) throws Exception;
	public void addPassManObject(PassManObject passManObject) throws Exception;
	public void addPassManObjectType(PassManObjectType type) throws Exception;
	public void addPassManObjectGroup(PassManObjectGroup group) throws Exception;
	public void addPassManObjectUserPassword(PassManObjectUserPassword userPassword) throws Exception;
	public List<PassManObjectAdminGroup> getPassManObjectAdminGroups(Integer firstResult, Integer maxResults) throws Exception;
	public Integer getNumberOfPassManObjectAdminGroups() throws Exception;
	public List<PassManObjectGroup> getPassManObjectGroups(Integer firstResult, Integer maxResults) throws Exception;
	public Integer getNumberOfPassManObjectGroups() throws Exception;
	public List<PassManObjectAdmin> getPassManObjectAdmins(Integer firstResult, Integer maxResults) throws Exception;
	public Integer getNumberOfPassManObjectAdmins() throws Exception;
	public List<PassManObjectType> getPassManObjectTypes(Integer firstResult, Integer maxResults) throws Exception;
	public Integer getNumberOfPassManObjectTypes() throws Exception;

}
